{
  lib,
  pkgs,
  ...
}: {
  services.openssh = {
    enable = lib.mkDefault true;
    settings = {PasswordAuthentication = lib.mkDefault true;};
    settings.X11Forwarding = true;
  };

  environment.shells = [pkgs.bashInteractive pkgs.zsh];

  programs.zsh.enable = true;

  environment.systemPackages = with pkgs; [
    alejandra
    autossh
    bat-extras.batdiff
    bat-extras.batgrep
    bat-extras.batman
    bat-extras.batwatch
    bat-extras.prettybat
    btop
    charm
    coreutils
    deadnix
    du-dust
    duf
    exa
    fd
    git
    jq
    killall
    ldns
    libnotify
    lnav
    lsof
    nix-diff
    nix-doc
    nix-du
    nix-tree
    nmap
    pinentry
    prettyping
    ranger
    ripgrep
    skate
    starship
    statix
    trash-cli
    unzip
    vim
    wget
    zip
  ];

  programs.atop = {
    enable = true;
    atopacctService.enable = true;
    atopService.enable = true;
    atopRotateTimer.enable = true;
  };

  services.clamav = {
    updater.enable = true;
    daemon.enable = true;
  };

  services.rsyslogd = {
    enable = true;
    extraConfig = "*.* @10.0.0.27:514";
  };

  services.tuptime = {
    enable = true;
    timer.enable = true;
  };
}
