{
  networking.hostId = "1eceb95c";

  services.znapzend = {
    enable = true;
    autoCreation = true;
    zetup = {
      "rpool/nixos" = {
        enable = true;
        plan = "1y=>1d";
        recursive = false;
        destinations.remote = {
          host = "root@truenas.local";
          dataset = "nas/nexus";
        };
      };

      "si-pool/lxd/containers/debian-archive" = {
        enable = true;
        plan = "1y=>1d";
        recursive = false;
        destinations.remote = {
          host = "root@truenas.local";
          dataset = "nas/debian-archive";
        };
      };

      "si-pool/lxd/containers/debian-serv" = {
        enable = true;
        plan = "1y=>1d";
        recursive = false;
        destinations.remote = {
          host = "root@truenas.local";
          dataset = "nas/debian-serv";
        };
      };

      "si-pool/lxd/containers/ubuntu-mastodon" = {
        enable = true;
        plan = "1y=>1d";
        recursive = false;
        destinations.remote = {
          host = "root@truenas.local";
          dataset = "nas/ubuntu-mastodon";
        };
      };
    };
  };

  services.zfs.autoScrub.enable = true;

  services.sanoid = {
    enable = true;
    datasets.rpool = {
      hourly = 24;
      daily = 7;
      weekly = 4;
      monthly = 12;
      recursive = true;
    };
  };
}
